---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libhs201t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x5858, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54E00, symBinAddr: 0x10238, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56D40, symBinAddr: 0x12178, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x57128, symBinAddr: 0x12560, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x580C8, symBinAddr: 0x13500, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x580D0, symBinAddr: 0x13508, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: _chbuffer, symObjAddr: 0x6F7D0, symBinAddr: 0x2AC08, symSize: 0x0 }
  - { offsetInCU: 0xBCA, offset: 0xBCA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54A58, symBinAddr: 0x100D8, symSize: 0x0 }
  - { offsetInCU: 0xBD5, offset: 0xBD5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54A5C, symBinAddr: 0x100DC, symSize: 0x0 }
  - { offsetInCU: 0xBE0, offset: 0xBE0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54A60, symBinAddr: 0x100E0, symSize: 0x0 }
  - { offsetInCU: 0xC25, offset: 0xC25, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x54BB0, symBinAddr: 0x100E8, symSize: 0x0 }
  - { offsetInCU: 0xC9E, offset: 0xC9E, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54C68, symBinAddr: 0x101A0, symSize: 0x0 }
  - { offsetInCU: 0xCBC, offset: 0xCBC, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x54C6C, symBinAddr: 0x101A4, symSize: 0x0 }
  - { offsetInCU: 0xCD5, offset: 0xCD5, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54C70, symBinAddr: 0x101A8, symSize: 0x0 }
  - { offsetInCU: 0xCEE, offset: 0xCEE, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54C74, symBinAddr: 0x101AC, symSize: 0x0 }
  - { offsetInCU: 0xD07, offset: 0xD07, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54C78, symBinAddr: 0x101B0, symSize: 0x0 }
  - { offsetInCU: 0x92CD, offset: 0x92CD, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54C80, symBinAddr: 0x101B8, symSize: 0x0 }
  - { offsetInCU: 0x9356, offset: 0x9356, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x54C90, symBinAddr: 0x101C8, symSize: 0x0 }
  - { offsetInCU: 0x936F, offset: 0x936F, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x54C98, symBinAddr: 0x101D0, symSize: 0x0 }
  - { offsetInCU: 0x9388, offset: 0x9388, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x54CA0, symBinAddr: 0x101D8, symSize: 0x0 }
  - { offsetInCU: 0x93A1, offset: 0x93A1, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x54CA8, symBinAddr: 0x101E0, symSize: 0x0 }
  - { offsetInCU: 0x93BA, offset: 0x93BA, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x54CB0, symBinAddr: 0x101E8, symSize: 0x0 }
  - { offsetInCU: 0x93D4, offset: 0x93D4, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x54CB8, symBinAddr: 0x101F0, symSize: 0x0 }
  - { offsetInCU: 0x94BA, offset: 0x94BA, size: 0x8, addend: 0x0, symName: __ZL9testClass, symObjAddr: 0x54D00, symBinAddr: 0x101F8, symSize: 0x0 }
  - { offsetInCU: 0x94D3, offset: 0x94D3, size: 0x8, addend: 0x0, symName: __ZL14redefineNumber, symObjAddr: 0x54D08, symBinAddr: 0x10200, symSize: 0x0 }
  - { offsetInCU: 0x94EC, offset: 0x94EC, size: 0x8, addend: 0x0, symName: __ZL12newClassSize, symObjAddr: 0x54D0C, symBinAddr: 0x10204, symSize: 0x0 }
  - { offsetInCU: 0x9505, offset: 0x9505, size: 0x8, addend: 0x0, symName: __ZL13newClassBytes, symObjAddr: 0x54D10, symBinAddr: 0x10208, symSize: 0x0 }
  - { offsetInCU: 0x951E, offset: 0x951E, size: 0x8, addend: 0x0, symName: __ZL8testStep, symObjAddr: 0x54D18, symBinAddr: 0x10210, symSize: 0x0 }
  - { offsetInCU: 0x9537, offset: 0x9537, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x54D20, symBinAddr: 0x10218, symSize: 0x0 }
  - { offsetInCU: 0x9550, offset: 0x9550, size: 0x8, addend: 0x0, symName: __ZL12testedThread, symObjAddr: 0x54D28, symBinAddr: 0x10220, symSize: 0x0 }
  - { offsetInCU: 0x9569, offset: 0x9569, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x54D30, symBinAddr: 0x10228, symSize: 0x0 }
  - { offsetInCU: 0x9582, offset: 0x9582, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x54D70, symBinAddr: 0x10230, symSize: 0x0 }
  - { offsetInCU: 0x95D4, offset: 0x95D4, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x473C, symSize: 0xA0 }
  - { offsetInCU: 0x9669, offset: 0x9669, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x4714, symSize: 0x28 }
  - { offsetInCU: 0x96CC, offset: 0x96CC, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x4694, symSize: 0x80 }
  - { offsetInCU: 0x9960, offset: 0x9960, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x47DC, symSize: 0x34 }
  - { offsetInCU: 0x99BA, offset: 0x99BA, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x4810, symSize: 0x20C }
  - { offsetInCU: 0x9B73, offset: 0x9B73, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x4A1C, symSize: 0x28 }
  - { offsetInCU: 0x9C3C, offset: 0x9C3C, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x4A44, symSize: 0xB0 }
  - { offsetInCU: 0x9D33, offset: 0x9D33, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x4AF4, symSize: 0xD8 }
  - { offsetInCU: 0x9EA4, offset: 0x9EA4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x4BCC, symSize: 0x24 }
  - { offsetInCU: 0x9F87, offset: 0x9F87, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x4BF0, symSize: 0x168 }
  - { offsetInCU: 0xA163, offset: 0xA163, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x4D58, symSize: 0x104 }
  - { offsetInCU: 0xA2CF, offset: 0xA2CF, size: 0x8, addend: 0x0, symName: __Z20nsk_jni_lverify_voidP7JNIEnv_PKciS2_z, symObjAddr: 0x1950, symBinAddr: 0x4E5C, symSize: 0xE0 }
  - { offsetInCU: 0xA546, offset: 0xA546, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x4F3C, symSize: 0x3F8 }
  - { offsetInCU: 0xA790, offset: 0xA790, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x5334, symSize: 0x154 }
  - { offsetInCU: 0xA974, offset: 0xA974, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x5488, symSize: 0xAC }
  - { offsetInCU: 0xAAEB, offset: 0xAAEB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x5534, symSize: 0x14 }
  - { offsetInCU: 0xAB24, offset: 0xAB24, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x5548, symSize: 0x14 }
  - { offsetInCU: 0xAB5D, offset: 0xAB5D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x555C, symSize: 0x14 }
  - { offsetInCU: 0xAD5E, offset: 0xAD5E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x5570, symSize: 0x1A8 }
  - { offsetInCU: 0xB068, offset: 0xB068, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x5718, symSize: 0x140 }
  - { offsetInCU: 0xB209, offset: 0xB209, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x5AC8, symSize: 0x1C0 }
  - { offsetInCU: 0xB4E6, offset: 0xB4E6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x5C88, symSize: 0x9C }
  - { offsetInCU: 0xB5A3, offset: 0xB5A3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x5D24, symSize: 0x690 }
  - { offsetInCU: 0xC135, offset: 0xC135, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB66C, symBinAddr: 0x9364, symSize: 0x30 }
  - { offsetInCU: 0xC1C1, offset: 0xC1C1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x63B4, symSize: 0x74 }
  - { offsetInCU: 0xC2D5, offset: 0xC2D5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x6428, symSize: 0xB0 }
  - { offsetInCU: 0xC40C, offset: 0xC40C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x64D8, symSize: 0x3C }
  - { offsetInCU: 0xC502, offset: 0xC502, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x6514, symSize: 0x29C }
  - { offsetInCU: 0xC845, offset: 0xC845, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x67B0, symSize: 0xD0 }
  - { offsetInCU: 0xC973, offset: 0xC973, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x6880, symSize: 0xC }
  - { offsetInCU: 0xCA35, offset: 0xCA35, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x688C, symSize: 0x22C }
  - { offsetInCU: 0xCCF0, offset: 0xCCF0, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x6AB8, symSize: 0x4 }
  - { offsetInCU: 0xCD34, offset: 0xCD34, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x6AB8, symSize: 0x4 }
  - { offsetInCU: 0xCD4D, offset: 0xCD4D, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x6ABC, symSize: 0x56C }
  - { offsetInCU: 0xD46F, offset: 0xD46F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9238, symBinAddr: 0x7028, symSize: 0x4 }
  - { offsetInCU: 0xD4B3, offset: 0xD4B3, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9238, symBinAddr: 0x7028, symSize: 0x4 }
  - { offsetInCU: 0xD53C, offset: 0xD53C, size: 0x8, addend: 0x0, symName: _setCurrentStep, symObjAddr: 0x923C, symBinAddr: 0x702C, symSize: 0x174 }
  - { offsetInCU: 0xD740, offset: 0xD740, size: 0x8, addend: 0x0, symName: _disableEvent, symObjAddr: 0x94A8, symBinAddr: 0x71A0, symSize: 0xF8 }
  - { offsetInCU: 0xD855, offset: 0xD855, size: 0x8, addend: 0x0, symName: _redefineClass, symObjAddr: 0x95A0, symBinAddr: 0x7298, symSize: 0x264 }
  - { offsetInCU: 0xDAE7, offset: 0xDAE7, size: 0x8, addend: 0x0, symName: _readNewBytecode, symObjAddr: 0x9804, symBinAddr: 0x74FC, symSize: 0x248 }
  - { offsetInCU: 0xDC88, offset: 0xDC88, size: 0x8, addend: 0x0, symName: _setBreakPoint, symObjAddr: 0x9A4C, symBinAddr: 0x7744, symSize: 0x16C }
  - { offsetInCU: 0xDE80, offset: 0xDE80, size: 0x8, addend: 0x0, symName: _callbackClassLoad, symObjAddr: 0x9BB8, symBinAddr: 0x78B0, symSize: 0x204 }
  - { offsetInCU: 0xE110, offset: 0xE110, size: 0x8, addend: 0x0, symName: _callbackBreakpoint, symObjAddr: 0x9DBC, symBinAddr: 0x7AB4, symSize: 0xEC }
  - { offsetInCU: 0xE29E, offset: 0xE29E, size: 0x8, addend: 0x0, symName: _callbackSingleStep, symObjAddr: 0x9EA8, symBinAddr: 0x7BA0, symSize: 0x4C4 }
  - { offsetInCU: 0xE85C, offset: 0xE85C, size: 0x8, addend: 0x0, symName: _getLocalVariableValue, symObjAddr: 0xA36C, symBinAddr: 0x8064, symSize: 0x384 }
  - { offsetInCU: 0xED14, offset: 0xED14, size: 0x8, addend: 0x0, symName: _callbackException, symObjAddr: 0xA6F0, symBinAddr: 0x83E8, symSize: 0x1C4 }
  - { offsetInCU: 0xEEDE, offset: 0xEEDE, size: 0x8, addend: 0x0, symName: _getClassName, symObjAddr: 0xA8B4, symBinAddr: 0x85AC, symSize: 0x22C }
  - { offsetInCU: 0xF1B9, offset: 0xF1B9, size: 0x8, addend: 0x0, symName: _getThreadName, symObjAddr: 0xAAE0, symBinAddr: 0x87D8, symSize: 0x1A0 }
  - { offsetInCU: 0xF413, offset: 0xF413, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_16CallObjectMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0xAE44, symBinAddr: 0x8B3C, symSize: 0x30 }
  - { offsetInCU: 0xF49F, offset: 0xF49F, size: 0x8, addend: 0x0, symName: _callbackExceptionCatch, symObjAddr: 0xAC80, symBinAddr: 0x8978, symSize: 0x1C4 }
  - { offsetInCU: 0xF651, offset: 0xF651, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS201_hs201t001_setThread, symObjAddr: 0xAE74, symBinAddr: 0x8B6C, symSize: 0x13C }
  - { offsetInCU: 0xF808, offset: 0xF808, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS201_hs201t001_resumeThread, symObjAddr: 0xAFB0, symBinAddr: 0x8CA8, symSize: 0x188 }
  - { offsetInCU: 0xFA14, offset: 0xFA14, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS201_hs201t001_suspendThread, symObjAddr: 0xB138, symBinAddr: 0x8E30, symSize: 0x188 }
  - { offsetInCU: 0xFC40, offset: 0xFC40, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS201_hs201t001_popFrame, symObjAddr: 0xB2C0, symBinAddr: 0x8FB8, symSize: 0x228 }
  - { offsetInCU: 0xFEC0, offset: 0xFEC0, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB4E8, symBinAddr: 0x91E0, symSize: 0x184 }
  - { offsetInCU: 0x1008D, offset: 0x1008D, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB69C, symBinAddr: 0x9394, symSize: 0x358 }
...
